Package org.apache.sis.referencing.operation.matrix

# Class NoninvertibleMatrixException

Object
Throwable
Exception
TransformException
NoninvertibleTransformException
NoninvertibleMatrixException

All Implemented Interfaces:
  `Serializable`

public class NoninvertibleMatrixException extends NoninvertibleTransformException
Thrown when a matrix can not be inverted. This may be because the matrix is singular, or because the matrix is not square.
Note: This exception extends `NoninvertibleTransformException` because the matrices in this package are used in Coordinate Operation Steps, in which case a singular matrix means that the operation is not invertible.

Since:
  0.4
See Also:
  - Serialized Form

Defined in the `sis-referencing` module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoninvertibleMatrixException()`
  Constructs a new exception with no message.
  `NoninvertibleMatrixException(String message)`
  Constructs a new exception with the specified detail message.
  `NoninvertibleMatrixException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class TransformException

  `getLastCompletedTransform, setLastCompletedTransform`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoninvertibleMatrixException

    public NoninvertibleMatrixException()
    Constructs a new exception with no message.

  - ### NoninvertibleMatrixException

    public NoninvertibleMatrixException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the detail message, or `null` if none.

  - ### NoninvertibleMatrixException

    public NoninvertibleMatrixException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message, or `null` if none.
      `cause` - the cause, or `null` if none.